@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:wght@500&display=swap");

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html,
body,
div,
span,
object,
iframe,
figure,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
code,
em,
img,
small,
strike,
strong,
sub,
sup,
tt,
b,
u,
i,
ol,
ul,
li,
fieldset,
form,
label,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
main,
canvas,
embed,
footer,
header,
nav,
section,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: none;
  -moz-text-size-adjust: none;
  -ms-text-size-adjust: none;
  text-size-adjust: none;
}

footer,
header,
nav,
section,
main {
  display: block;
}

html {
  scroll-behavior: smooth;
}

body {
  line-height: 1;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

input {
  -webkit-appearance: none;
  border-radius: 0;
}
/* vars */
:root {
  --linearbackground: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  --mainColor: #36ffea;
  --backgroundColor: #403699;
  --backgroundColorLight: #403699d9;
  --serviceCardDescription: #d4e5d8;
  --projectsDescriptionBackground: #26344d;
  --projectsCardTitle: var(--mainColor);
  --pageMainHeadingColor: var(--mainColor);
  --pageParagraphsColor: #ebe1e1;
  --pageSecondaryHeadingColor: #ccd6f6;
  --tagsColor: #ccd6f6;
  --semiBlackTransparent: rgba(0, 0, 0, 0.5)
}
.Btn {
  cursor: pointer;
  color: var(--mainColor);
  background-color: transparent;
  -webkit-transition: 0.25s;
  transition: 0.25s;
  border: 1px solid var(--mainColor);
  padding: 0.75rem 1rem;
  border-radius: 5px;
  text-decoration: none;
  font-family: "Roboto Mono", monospace;
  text-transform: capitalize;
}

.Btn:hover {
  background-color: rgba(100, 255, 218, 0.1);
}

header {
  width: 100%;
  position: fixed;
  top: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: var(--semiBlackTransparent);
  padding: 10px 50px;
  z-index: 99;
  border-bottom: 2px solid rgba(255, 255, 255, 0.5);
  padding: 1rem;
}

header div a.logo {
  color: #ccd6f6;
  width: 50px;
  text-decoration: none;
  letter-spacing: 1px;
  text-transform: capitalize;
}
header img.logo:hover {
  animation: skew-y-shakeing 1.5s;
}
header nav {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

header nav ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

header nav ul li {
  margin-inline: 15px;
}

header nav ul li a {
  text-decoration: none;
  color: #ccd6f6;
  font-size: 13px;
  font-family: "Roboto Mono", monospace;
  -webkit-transition: 0.25s;
  transition: 0.25s;
}

header nav ul li a:hover {
  color: var(--mainColor);
}

header nav ul li a[active] {
  color: var(--mainColor);
}

header nav ul li a span {
  margin-right: 5px;
  color: var(--mainColor);
}

header .icon {
  display: none;
}

header i {
  cursor: pointer;
  font-size: 25px;
}
main {
  background-color: var(--backgroundColor);
}

main .developer-intro {
  padding: 150px 15% 60px 15%;
}

main .developer-intro .dev-name {
  color: var(--mainColor);
  font-family: "Roboto Mono";
  font-size: 1.3rem;
  margin: 0px 0px 30px 4px;
}

main .developer-intro .dev-name::first-letter {
  text-transform: capitalize;
}

main .developer-intro #devName>h1 {
  font-size: clamp(40px, 8vw, 60px);
  color: var(--pageMainHeadingColor);
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  margin: 10px 0;
  font-weight: 600;
}

main .developer-intro #devName>h2 {
  font-size: clamp(40px, 8vw, 50px);
  color: var(--pageSecondaryHeadingColor);
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  text-transform: capitalize;
  font-weight: 600;
}

main .developer-intro #devName>h3::first-letter {
  text-transform: capitalize;
}

main .developer-intro #devName>p {
  margin: 20px 0px 0px;
  color: var(--pageParagraphsColor);
  font-size: clamp(16px, 5vw, 24px);
  font-family: -apple-system, BlinkMacSystemFont, sans-serif;
  line-height: 1.3;
}

main .developer-intro .first-btn {
  margin: 50px 0;
}
main .developer-services {
  padding: 150px 15% 60px 15%;
}
main .myServices {
  font-family: "Roboto Mono", monospace;
  color: #8892b0;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 150px 15% 60px 15%;
}
main .myServices .heading {
  text-align: center;
  margin-bottom: 1.5rem;
}
main .myServices .heading h2 {
  color: var(--pageSecondaryHeadingColor);
  font-size: 2.5rem;
  margin-bottom: 3rem;
}
@media (max-width: 580px) {
  .myServices .heading h2 {
    font-size: 27px;
 }
}
.myServices .heading p {
  width: 80%;
  margin: 0 auto;
  font-weight: 400;
  text-align: center;
  line-height: 20px;
  color: var(--pageParagraphsColor);
}
@media (max-width: 769px) {
  .myServices .heading p {
    width: 90%;
 }
}
.myServices .cardsWrapper {
  padding-top: 50px;
}
.myServices .cardsWrapper .cards {
  display: flex;
  justify-content: space-evenly;
  align-items: baseline;
  flex-wrap: wrap;
  gap: 25px;
  margin-bottom: 70px;
}
.myServices .cardsWrapper .cards .serviceCard {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  max-width: 300px;
  
}
@media (max-width: 580px) {
  .myServices .cardsWrapper .cards .serviceCard {
    width: 100%;
 }
}
.myServices .cardsWrapper .cards .serviceCard img {
  border-radius: 10px;
  width: 100%;
  display: block;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
.myServices .cardsWrapper .cards .serviceCard .cardTitle {
  color: var(--mainColor);
  margin: 20px 0 10px;
}
.myServices .serviceCard .cardParagraph {
  font-size: 14px;
  color: var(--pageParagraphsColor);
  line-height: 1.3;
  display: -webkit-box;   
   -webkit-line-clamp: 2;   
   -webkit-box-orient: vertical;     
   overflow: hidden; 
}
main #about {
  font-family: "Roboto Mono", monospace;
  padding: 60px 15%;
}

main #about h2 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  color: var(--pageSecondaryHeadingColor);
  font-size: 2.5rem;
  margin-bottom: 3rem;
}

main #about h2::after {
  display: block;
  position: relative;
  content: "";
  width: 13rem;
  height: 0.1rem;
  top: 0.2rem;
  margin: 0 1rem;
  background-color: #8892b0;
}

main #about .info {
  display: grid;
  grid-template-columns: 3fr 2fr;
  gap: 3rem;
}

main #about .info p {
  line-height: 20px;
  color: var(--pageParagraphsColor);
}

main #about .info p:not(:last-child) {
  margin-bottom: 2rem;
}

main #about .info .profileWrapper {
  border-radius: 0.5rem;
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  z-index: 1;
  cursor: pointer;
}

/* main #about .info .profileWrapper img {
  width: 25rem;
  border-radius: inherit;
} */
main #about .info .profileWrapper::before {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0, .5);
  opacity: 0.3;
  border-radius: inherit;
  z-index: 2;
  -webkit-transition: 0.25s;
  transition: 0.25s;
}

main #about .info .profileWrapper::after {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  border: 2px solid var(--mainColor);
  top: 1.5rem;
  left: 1.5rem;
  border-radius: inherit;
  z-index: -1;
  -webkit-transition: 0.25s;
  transition: 0.25s;
}

main #about .info .profileWrapper:hover::before {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: transparent;
  opacity: 0.5;
  border-radius: inherit;
  z-index: 2;
}

main #about .info .profileWrapper:hover::after {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  border: 2px solid var(--mainColor);
  top: 0.5rem;
  left: 0.5rem;
  border-radius: inherit;
  z-index: -1;
}

main #about .info #devStack {
  display: grid;
  grid-template-columns: auto auto auto;
  -webkit-box-pack: space-evenly;
  -ms-flex-pack: space-evenly;
  justify-content: space-evenly;
}

main #about .info #devStack li {
  margin: 0.2rem 0;
  -webkit-transition: 0.2s;
  transition: 0.2s;
  text-transform: capitalize;
  color: var(--tagsColor);
}

main #about .info #devStack li:hover {
  color: white;
  cursor: pointer;
}

main #about .info #devStack li::before {
  content: "»";
  color: var(--mainColor);
  margin-right: 0.5rem;
}

main .work-experience {
  margin: 0 auto;
  padding: 60px 18%;
  position: relative;
}

main .work-experience .work-title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 10px 0px 40px;
}

main .work-experience .work-title span {
  color: var(--mainColor);
  margin-right: 10px;
  font-family: "Roboto Mono", monospace;
  font-size: 22px;
}

main .work-experience .work-title h2 {
  font-size: 32px;
  font-weight: 600;
  color: var(--pageSecondaryHeadingColor);
  font-family: "Noto Sans", sans-serif;
}

main .work-experience .work-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

main .work-experience .work-content .projectNames {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  height: 252px;
  overflow-y: scroll;
  overflow-x: hidden;
  background-color: var(--semiBlackTransparent);
  border-radius: 10px;
}

main .work-experience .work-content .projectNames::-webkit-scrollbar {
  width: 4px;
}

main .work-experience .work-content .projectNames::-webkit-scrollbar-track {
  background: transparent;
}

main .work-experience .work-content .projectNames::-webkit-scrollbar-thumb {
  background: var(--mainColor);
}

main .work-experience .work-content .projectNames button {
  cursor: pointer;
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  font-family: "Roboto Mono", monospace;
  font-size: 13px;
  border: none;
  background-color: transparent;
  color: var(--pageSecondaryHeadingColor);
  width: 130px;
  height: 42px;
  padding: 15px;
  border-left: 2px solid #233554;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  text-align: left;
}

main .work-experience .work-content .projectNames button.active {
  background-color: var(--projectsDescriptionBackground);
  color: var(--mainColor);
}

main .work-experience .work-content .projectNames button.active::before {
  content: "";
  position: absolute;
  width: 3px;
  height: 100%;
  top: 0;
  left: -2px;
  background-color: var(--mainColor);
}

main .work-experience .work-content .projectNames button:hover {
  background-color: var(--projectsDescriptionBackground);
  color: var(--mainColor);
  outline: 0px;
}

main .work-experience .work-content .project-inner {
  margin-left: 20px;
  padding: 10px 5px;
}

main .work-experience .work-content .project-inner h3 {
  font-family: "Noto Sans", sans-serif;
  margin-bottom: 8px;
  font-size: 22px;
  color: var(--pageSecondaryHeadingColor);
}

main .work-experience .work-content .project-inner .duration {
  margin-bottom: 25px;
  color: var(--pageParagraphsColor);
  font-family: "Roboto Mono", monospace;
  font-size: 13px;
}

main .work-experience .work-content .project-inner .project-stack {
  margin-bottom: 25px;
  color: var(--pageParagraphsColor);
  font-family: "Roboto Mono", monospace;
  font-size: 13px;
  text-transform: capitalize;
}

main .work-experience .work-content .project-inner .link-to-project {
  margin-bottom: 25px;
  color: var(--pageParagraphsColor);
  font-family: "Roboto Mono", monospace;
}

main .work-experience .work-content .project-inner .link-to-project a {
  color: inherit;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  text-transform: capitalize;
}

main .work-experience .work-content .project-inner .link-to-project a:hover {
  color: var(--mainColor);
}

main .work-experience .work-content .project-inner div {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

main .work-experience .work-content .project-inner div i {
  color: var(--mainColor);
}

main .work-experience .work-content .project-inner div p {
  padding-left: 30px;
  color: var(--pageParagraphsColor);
  font-size: 15px;
  font-family: "Noto Sans", sans-serif;
  margin-bottom: 10px;
  line-height: 25px;
}



main .projects {
  max-width: 1000px;
  margin: 0 auto;
  padding: 60px 0;
}


main .projects-title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 10px 0px 40px;
}

main .projects-title span {
  color: var(--mainColor);
  margin-right: 10px;
  font-family: "Roboto Mono", monospace;
  font-size: 22px;
}

main .projects-title h2 {
  font-size: 32px;
  font-weight: 600;
  color: var(--pageSecondaryHeadingColor);
  font-family: "Noto Sans", sans-serif;
}

main .projects-title::after {
  display: block;
  position: relative;
  content: "";
  width: 13rem;
  height: 0.1rem;
  top: 0.2rem;
  margin: 0 1rem;
  background-color: #8892b0;
}

main .projects-content-item {
  margin-bottom: 100px;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

main .projects-content-item-img {
  z-index: 1;
  max-width: 577px;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  position: relative;
  grid-area: 1/1/-1/7;
  -webkit-box-shadow: 0 10px 30px -15px rgba(2, 12, 27, 0.7);
  box-shadow: 0 10px 30px -15px rgba(2, 12, 27, 0.7);
  border-radius: 4px;
  cursor: pointer;
}

main .projects-content-item-img img {
  max-width: 100%;
  background-size: cover;
}

main .projects-content-item-img .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--mainColor);
  opacity: 0.2;
  -webkit-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
  border-radius: 4px;
}

main .projects-content-item-img:hover .overlay {
  opacity: 0;
}

main .projects-content-item-text {
  z-index: 2;
  text-align: right;
  grid-area: 1/6/-1/-1;
  pointer-events: none;
}

main .projects-content-item-text .project-date {
  color: var(--pageParagraphsColor);
  font-family: "Roboto Mono", monospace;
  font-weight: 400;
  margin-bottom: 10px;
}

main .projects-content-item-text h3 {
  text-transform: capitalize;
  font-size: 28px;
  color: var(--projectsCardTitle);
  margin-bottom: 20px;
  border-bottom: 1px solid lightblue;
  padding-bottom: 5px;
  display: inline-block;
}

main .projects-content-item-text-wrapper {
  padding: 25px;
  background-color: var(--projectsDescriptionBackground);
  border-radius: 4px;
  color: #a8b2d1;
  font-size: 18px;
  -webkit-box-shadow: 0 10px 30px -15px rgba(2, 12, 27, 0.7);
  box-shadow: 0 10px 30px -15px rgba(2, 12, 27, 0.7);
  pointer-events: all;
}

main .projects-content-item-text-wrapper p {
  line-height: 1.2;
  color: var(--pageParagraphsColor);
}

main .projects-content-item-text-techs {
  pointer-events: all;
  margin: 25px 0px 25px;
}

main .projects-content-item-text-techs ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 10px;
  color: #a8b2d1;
  font-size: 16px;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

main .projects-content-item-text-techs ul li {
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
  color: var(--tagsColor);
}

main .projects-content-item-text-techs ul li:hover {
  color: white;
  cursor: pointer;
}

main .projects-content-item-text-links {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 15px;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

main .projects-content-item-text-links a {
  pointer-events: all;
}

main .projects-content-item-text-links a img {
  width: 20px;
  height: 20px;
  transition-duration: .2s;
}
main .projects-content-item-text-links a img:hover {
  transform: scale(1.1);
}

main .contact {
  max-width: 1000px;
  margin: 0 auto;
  padding: 60px 0;
}

main .contact-title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 10px 0px 40px;
}

main .contact-title span {
  color: var(--mainColor);
  margin-right: 10px;
  font-family: "Roboto Mono", monospace;
  font-size: 22px;
}

main .contact-title h2 {
  font-size: 32px;
  font-weight: 600;
  color: #ccd6f6;
  font-family: "Noto Sans", sans-serif;
}

main .contact-title::after {
  display: block;
  position: relative;
  content: "";
  width: 13rem;
  height: 0.1rem;
  top: 0.2rem;
  margin: 0 1rem;
  background-color: #8892b0;
}

main .contact form {
  color: #ccd6f6;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 1rem;
  font-size: 16px;
}

main .contact form input {
  padding: 5px 8px;
}

main .contact form input[type=submit] {
  padding: 10px 15px;
}

main .contact form label {
  font-size: 150%;
}

main .contact form textarea {
  width: 600px;
  height: 300px;
  padding: 20px;
  font-size: 18px;
  background-color: rgba(0, 0, 0, 0.3);
  color: #ccd6f6;
}

.opposite .projects-content-item-img {
  grid-area: 1/6/-1/-1;
}

.opposite .projects-content-item-text {
  grid-area: 1/1/-1/7;
  text-align: left;
}

.opposite .projects-content-item-text-techs ul {
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.opposite .projects-content-item-text-links {
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

/* Social Icons Styles */
.social__icons,
.gmailLink {
  border: 1px solid var(--mainColor);
  border-bottom: none;
  border-radius: 25px;
  background-color: rgba(0, 0, 0, 0.3);
  position: fixed;
  bottom: 0;
  z-index: 10;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}

footer .social__icons {
  left: 40px;
}

footer .social__icons .social__icons__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  list-style-type: none;
}

footer .social__icons .social__icons__list .social__links a {
  display: inline-block;
  padding: 10px;
}

footer .social__icons .social__icons__list .social__links a img {
  width: 30px;
  height: 30px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}

footer .social__icons .social__icons__list .social__links a img:hover {
  animation: skew-y-shakeing 1.5s;
}

footer .social__icons .social__icons__list .social__icons__list::after {
  content: "";
  display: block;
  width: 1px;
  height: 90px;
  margin: 0px auto;
  background-color: rgb(168, 178, 209);
}

footer .social__icons__list::after {
  content: "";
  display: block;
  width: 1px;
  height: 90px;
  margin: 0px auto;
  background-color: rgb(168, 178, 209);
}

footer .gmailLink {
  right: 40px;
  color: #a8b2d1;
}

footer .gmailLink div {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

footer .gmailLink div a {
  color: inherit;
  margin: 20px auto;
  padding: 10px;
  font-family: "Roboto Mono", monospace;
  font-size: 12px;
  letter-spacing: 0.1em;
  line-height: 18px;
  -webkit-writing-mode: vertical-rl;
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
  text-decoration: none;
  -webkit-transition: 0.25s;
  transition: 0.25s;
}

footer .gmailLink div a:hover {
  -webkit-transform: translateY(-5px);
  transform: translateY(-5px);
  color: var(--mainColor);
}

footer .gmailLink div::after {
  content: "";
  display: block;
  width: 1px;
  height: 90px;
  margin: 0px auto;
  background-color: #a8b2d1;
}
.closeNavbar, .openNavbar {
  cursor: pointer;
}
.openNavbar path {
  fill: var(--mainColor);
}
.closeNavbar {
  display: none;
  stroke: var(--mainColor);
}
header.active .openNavbar {
  display: none;
}
header.active .closeNavbar {
  display: block;
}
@media (max-width: 1050px) {
  main .projects {
    padding: 80px;
  }

  main .contact {
    padding: 60px 30px;
  }
}

@media (max-width: 992px) {
  main .work-experience .work-content .project-inner div p {
    padding-left: 15px;
  }

  main #about .info .profileWrapper {
    justify-self: center;
  }

  main #about .info {
    grid-template-columns: 1fr;
  }

  main #about {
    padding: 60px 18%;
  }

  main #about .info #devStack {
    grid-template-columns: auto auto auto;
    -webkit-column-gap: 2rem;
    -moz-column-gap: 2rem;
    column-gap: 2rem;
  }
}
@media screen and (max-width: 861px) {
  header.active .nav {
    visibility: visible;
    width: 100vw;
  }
  header .nav {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    right: 0;
    top: 0;
    width: 0;
    visibility: hidden;
    position: absolute;
    background-color: rgba(10, 25, 47, 0.6);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    -webkit-box-shadow: -10px 0px 30px -15px rgba(2, 12, 27, 0.7);
    box-shadow: -10px 0px 30px -15px rgba(2, 12, 27, 0.7);
    height: 100vh;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-transition: 0.2s;
    transition: 0.2s;
  }

  header .nav ul {
    width: 100%;
    row-gap: 5vh;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
  }

  header .nav ul li {
    margin: 0;
  }

  header .nav ul a {
    font-size: 17px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    text-align: center;
    -webkit-transition: 0.25s;
    transition: 0.25s;
    width: 100%;
  }

  header .nav ul a span {
    margin: 0 0 8px 0;
  }

  header .nav .resume-btn {
    margin-top: 5vh;
  }

  header .icon {
    width: 30px;
    color: var(--mainColor);
    display: block !important;
    z-index: 1;
  }
  footer .social__icons {
    left: 20px;
  }

  footer .gmailLink {
    right: 20px;
  }
}
@media (max-width: 768px) {
  main #about .info #devStack {
    -webkit-column-gap: 1rem;
    -moz-column-gap: 1rem;
    column-gap: 1rem;
  }
  #devName {
    min-height: 600px;
    height: auto;
  }
  main .projects {
    padding: 60px 70px;
  }

  main .projects-content-item-img {
    grid-area: unset;
    grid-row: 2;
    justify-self: center;
  }

  main .projects-content-item {
    grid-template-columns: 1fr;
    gap: 20px;
    margin-bottom: 50px;
  }

  main .projects-content-item-text {
    grid-area: unset;
    grid-row: 1;
    margin-bottom: 20px;
  }

  main .contact form textarea {
    width: 400px;
    height: 200px;
  }

  main .contact {
    padding: 60px 70px;
  }

  .opposite .projects-content-item-img {
    grid-area: unset;
  }

  .opposite .projects-content-item-text {
    grid-area: unset;
  }

  footer .social__icons {
    bottom: -100%;
  }

  footer .gmailLink {
    bottom: -100%;
  }

  footer .gmailLink div a {
    padding: 5px;
  }
  main .projects-content-item {
    display: block;
  }
}

@media (max-width: 581px) {
  main #about .info .profileWrapper img {
    height: 300px;
    width: 100%;
  }

  main #about .info .profileWrapper::after {
    top: 1rem;
    left: 1rem;
  }

  main .work-experience .work-content {
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 2rem;
  }

  main .work-experience .work-content .projectNames {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }

  main .work-experience .work-content .project-inner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    margin-left: 0;
  }

  main .contact form textarea {
    width: 300px;
    height: 100px;
  }
  /* main .contact form #emailInput, #nameInput {
    width: 300px;
  } */

  footer .social__icons {
    left: 10px;
  }

  footer .gmailLink {
    right: 10px;
  }
}

@media (max-width: 481px) {
  main #about .info #devStack {
    grid-template-columns: auto auto;
    -webkit-column-gap: 0.5rem;
    -moz-column-gap: 0.5rem;
    column-gap: 0.5rem;
  }

  main .work-experience .work-content .projectNames {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
  }

  main .projects {
    padding: 60px 10%;
  }

  main .contact {
    padding: 60px 18%;
  }

  footer .social__icons {
    left: 0px;
  }

  footer .social__icons .social__icons__list .social__links a {
    padding: 5px;
  }
  main #about .info .profileWrapper img {
    height: 250px;
  }
}
@media (max-width: 380px) {
  main .contact form textarea {
    width: 200px;
  }
}
@keyframes horizontal-shaking {
  0% {
      transform: translateX(0)
  }

  25% {
      transform: translateX(5px)
  }

  50% {
      transform: translateX(-5px)
  }

  75% {
      transform: translateX(5px)
  }

  100% {
      transform: translateX(0)
  }
}

@keyframes skew-y-shakeing {
  0% {
      transform: skewY(-15deg);
  }

  5% {
      transform: skewY(15deg);
  }

  10% {
      transform: skewY(-15deg);
  }

  15% {
      transform: skewY(15deg);
  }

  20% {
      transform: skewY(0deg);
  }

  100% {
      transform: skewY(0deg);
  }
}